{% extends './base.html' %}
{% load static %}


{% block content %}
<div style="background-color:#FFF ">
      <h1 style="font-style: italic;
            font-weight: bold;
            font-size: 4rem;
            color: #E58E8E;
            text-align: left;
            padding: 0rem 1rem 2rem 2rem">
            My Schedules
      </h1>
      {% for object in schedules %}
         <div style="background-color: #FFEFEF; 
            margin: 2rem 5rem 1rem 4rem; 
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);">
               <div class="row">
                     <div class="col-md-4 col-sm-12">
                           <div class="row">
                              <h2 style="font-size: 2.5rem; 
                                    padding: 1rem 0rem 0rem 2rem;
                                    font-style: oblique;">
                                    {{ object.activities }}
                              </h2>
                           </div>

                           <div class="row">
                              <h6 style="color: grey;
                                    padding: 0rem 0rem 0rem 2rem;">
                                    {{ object.categories }}
                              </h6>
                           </div>
                     </div>
   
                  
                     <div class="col-md-6 col-sm-12" style="padding: 0rem 0rem 0rem 3rem;">
                           <div class="row">
                              <h6 style="padding: 3rem 0rem 0rem 0rem;">
                                    {{ object.day }} , {{ object.date }}
                              </h6>
                           </div>

                           <div class="row">
                              <h6>{{ object.time }}</h6>
                           </div>

                           <div class="row">
                              <h6> at {{ object.place }}</h6>
                        </div>
                     </div>
                     
                     <div class="col-md-2 col-sm-12" style="padding: 2.5rem 3rem 2rem 2.5rem;">
                              <a class="btn btn-secondary" href="{% url 'homepage:delete_schedule' id=object.id %}" role="button" style="padding: 0.2rem 0.4rem">
                                    Delete schedule
                              </a>
                     </div>
               </div>
         </div>
      {% endfor %}
      
      <div class="row" style="padding: 2rem 0rem 2rem 5rem;">
            <a class="btn btn-primary" href="/add_schedule" role="button" style="padding: 0.2rem 0.4rem">
                        Add More Schedule
            </a>
      </div>
</div>


{% endblock %}